> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate a product

> Create a copy of an existing product with all its variants.
    
    The duplicated product will have a new ID and slug. Offers are not duplicated.



## OpenAPI

````yaml /api-reference/api-docs.yaml post /v0/products/{productId}/duplicate
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/products/{productId}/duplicate:
    post:
      tags:
        - products
      summary: Duplicate a product
      description: |-
        Create a copy of an existing product with all its variants.
            
            The duplicated product will have a new ID and slug. Offers are not duplicated.
      operationId: PostV0ProductsProductIdDuplicate
      parameters:
        - name: productId
          in: path
          required: true
          description: POST /v0/products/:productId/duplicate Parameter
          schema:
            $ref: >-
              #/components/schemas/PostV0ProductsProductIdDuplicateParameterProductId
      requestBody:
        description: POST /v0/products/:productId/duplicate Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostV0ProductsProductIdDuplicateRequestBody'
      responses:
        '200':
          description: POST /v0/products/:productId/duplicate Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostV0ProductsProductIdDuplicatePositiveResponse
        '400':
          description: POST /v0/products/:productId/duplicate Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostV0ProductsProductIdDuplicateNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PostV0ProductsProductIdDuplicateParameterProductId:
      type: string
      format: uuid
    PostV0ProductsProductIdDuplicateRequestBody:
      type: object
      properties: {}
      required: []
    PostV0ProductsProductIdDuplicatePositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            product:
              type: object
              properties:
                object:
                  type: string
                  enum:
                    - product
                  default: product
                id:
                  type: string
                  format: uuid
                type:
                  type: string
                  enum:
                    - DigitalDownload
                    - Game
                    - GiftCard
                    - SoftwareKey
                    - VirtualCurrency
                    - VirtualItem
                    - Subscription
                    - OneTimePayment
                internalId:
                  type:
                    - string
                    - 'null'
                  default: null
                name:
                  type: string
                  default: ''
                description:
                  type: string
                  default: ''
                developer:
                  type:
                    - string
                    - 'null'
                  default: null
                publisher:
                  type:
                    - string
                    - 'null'
                  default: null
                pegiRating:
                  type:
                    - string
                    - 'null'
                  enum:
                    - '3'
                    - '7'
                    - '12'
                    - '16'
                    - '18'
                    - '!'
                  default: null
                releaseDate:
                  type:
                    - integer
                    - 'null'
                  format: int64
                  minimum: 0
                  maximum: 9007199254740991
                  default: null
                systems:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                    enum:
                      - Windows
                      - MacOs
                      - Linux
                      - PlayStation 4
                      - PlayStation 5
                      - Xbox One
                      - Xbox Series X|S
                      - iOS
                      - Android
                      - Nintendo Switch
                      - Nintendo 3DS
                  default: null
                genres:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                    enum:
                      - Action
                      - Action RPG
                      - Adventure
                      - Arcade
                      - Arcade Racing
                      - Battle Royale
                      - Beat 'em up
                      - Board Game
                      - Card Game
                      - Casual
                      - Co-op
                      - Educational
                      - Fighting
                      - FPS
                      - Horror
                      - Indie
                      - Interactive Story
                      - Japanese RPG
                      - Logic Game
                      - MMO
                      - Management
                      - Metroidvania
                      - Mini-games
                      - Multiplayer
                      - Open World
                      - Party
                      - Platformer
                      - Puzzle
                      - RPG
                      - Racing
                      - Real-Time Strategy
                      - Roguelike
                      - Rhythm
                      - Sandbox
                      - Shooter
                      - Simulation
                      - Simulation Racing
                      - Sports
                      - Strategy
                      - Survival
                      - Tactical RPG
                      - TPS
                      - Turn-Based Strategy
                      - Visual Novel
                      - Point & Click
                      - Interactive Fiction
                      - Hidden Object
                  default: null
                status:
                  type: string
                  enum:
                    - DRAFT
                    - ACTIVE
                    - HIDDEN
                customFields:
                  type:
                    - array
                    - 'null'
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: string
                    required:
                      - name
                      - value
                  default: null
              required:
                - id
                - type
                - status
          required:
            - product
      required:
        - status
        - data
    PostV0ProductsProductIdDuplicateNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````